Folks.Debug.print_heading – folks Reference Manual

# print_heading

## Description:

[ PrintfFormat ]
public void print_heading (string domain, LogLevelFlags level, string format, ...)

Print a debug line as a heading. It will be coloured according to the current indentation level so that different levels of headings stand out.

This is intended to be used by backend libraries only.

## Parameters:

domain | The debug domain name
level | A set of log level flags for the message
format | A printf-style format string for the heading
... | Arguments for the format string

## Since:

0.5.1